//$Id: PrimitiveByteArrayBlobType.java 19414 2010-05-08 05:14:14Z stliu $
package org.hibernate.type;

/**
 * Map a byte[] to a Blob
 * @author Emmanuel Bernard
 */
public class PrimitiveByteArrayBlobType extends ByteArrayBlobType {
	public Class getReturnedClass() {
		return byte[].class;
	}

	protected Object wrap(byte[] bytes) {
		return bytes;
	}

	protected byte[] unWrap(Object bytes) {
		return (byte[]) bytes;
	}
}
